<?php

/**
 * global variables :
 */

$mp_icon_base_url = '/wp-content/plugins/map_prof/images/';
$mp_icon_url = $mp_icon_base_url . $mp_icon_file;
$mp_icon_cluster_url = $mp_icon_base_url . $mp_icon_cluster_file;

$mp_icon_size = [40, 40];
if (isset($mp_settings_icon_size)) {
	if (is_array($mp_settings_icon_size)) {
		if (count($mp_settings_icon_size) === 2) {
			if ( is_numeric($mp_settings_icon_size[0]) && is_numeric($mp_settings_icon_size[1]) ) {
				$mp_icon_size = $mp_settings_icon_size;
			}
		}
	}
}

$mp_icon_color = "#ba197a";
if (isset($mp_settings_icon_color))
	$mp_icon_color = $mp_settings_icon_color;

$mp_icon_size_factor = 2.5;
if (isset($mp_settings_icon_size_factor))
	$mp_icon_size_factor = $mp_settings_icon_size_factor;

$mp_coordinates_default = (object)["lat" => 46.227638, "lng" => 2.213749]; // france
if (isset($mp_settings_coordinates_default))
	$mp_coordinates_default = $mp_settings_coordinates_default;

$mp_icon_color = "#ba197a";
$mp_icon_color_back = "#ffffff99";
if (isset($mp_settings_icon_color))
	$mp_icon_color = $mp_settings_icon_color;
if (isset($mp_settings_icon_color_back))
	$mp_icon_color_back = $mp_settings_icon_color_back;

$mp_icon_stroke_width = 6;
if (isset($mp_settings_icon_stroke_width))
	$mp_icon_stroke_width = $mp_settings_icon_stroke_width;

?>
